# Uses of Interface
java.lang.classfile.attribute.StackMapFrameInfo.VerificationTypeInfo

Packages that use StackMapFrameInfo.VerificationTypeInfo
Package
Description
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of StackMapFrameInfo.VerificationTypeInfo in java.lang.classfile.attribute

Subinterfaces of StackMapFrameInfo.VerificationTypeInfo in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`static interface`
`StackMapFrameInfo.ObjectVerificationTypeInfo`
A stack value for an object type.
`static interface`
`StackMapFrameInfo.UninitializedVerificationTypeInfo`
An uninitialized stack value.
Classes in java.lang.classfile.attribute that implement StackMapFrameInfo.VerificationTypeInfo
Modifier and Type
Class
Description
`static enum`
`StackMapFrameInfo.SimpleVerificationTypeInfo`
A simple stack value.
Methods in java.lang.classfile.attribute that return types with arguments of type StackMapFrameInfo.VerificationTypeInfo
Modifier and Type
Method
Description
`List<StackMapFrameInfo.VerificationTypeInfo>`
StackMapFrameInfo.`locals()`
Returns the expanded local variable types.
`List<StackMapFrameInfo.VerificationTypeInfo>`
StackMapFrameInfo.`stack()`
Returns the expanded operand stack types.
Method parameters in java.lang.classfile.attribute with type arguments of type StackMapFrameInfo.VerificationTypeInfo
Modifier and Type
Method
Description
`static StackMapFrameInfo`
StackMapFrameInfo.`of(Label target, List<StackMapFrameInfo.VerificationTypeInfo> locals, List<StackMapFrameInfo.VerificationTypeInfo> stack)`
Returns a new stack map frame.